BEGIN dggERRH4 //Class(Player1, PALADIN), etc etc

//////////////////////////////////
//duelist Tristian, yes, this is a Yugioh reference
/////////////////////////////////

IF ~Global("ggERMQstep", "Global", 5)~ THEN BEGIN 0 //IT'S TIME TO DUEL
	SAY ~Yes? I'm waiting for my duel to begin; I haven't much time. Make it quick.~
	++ ~Actually, I'm dueling you instead of Squire Melvin.~ GOTO 1
	++ ~I'll be going then. Good luck in the duel.~ GOTO 2
END


IF ~~ THEN 1
	SAY ~You? Pfah! I accept!~
IF ~~ THEN DO ~
	Enemy() ~ EXIT 
END

IF ~~ THEN 2
	SAY ~Hmph.~ IF ~~ THEN EXIT
END

//SURRENDERS

IF ~OR(2) HPPercentLT(Myself,50) Global("TIME2DUEL","Global", "1")~ THEN duelDone
	SAY ~Alright! Alright, I yield! I have lost this duel. You win.~
IF ~~ THEN DO ~
	SetGlobal("ggERMQstep", "Global", 6) EscapeArea()~ EXIT //first journal entry
END